多格式导出
curl --request POST \
--url https://api.ephone.ai/suno/v2/download \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"formats": [
"mp3",
"wav"
],
"music_id": "曲目 ID"
}
'import requests
url = "https://api.ephone.ai/suno/v2/download"
payload = {
"formats": ["mp3", "wav"],
"music_id": "曲目 ID"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({formats: ['mp3', 'wav'], music_id: '曲目 ID'})
};
fetch('https://api.ephone.ai/suno/v2/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ephone.ai/suno/v2/download"
payload := strings.NewReader("{\n \"formats\": [\n \"mp3\",\n \"wav\"\n ],\n \"music_id\": \"曲目 ID\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": "success",
"message": "success",
"data": {
"task_id": "5adac6ee-..."
}
}{
"code": "error",
"message": "music_id is required"
}{
"error": {
"message": "Invalid Token",
"type": "rix_api_error"
}
}{
"error": {
"message": "Too many requests, please try again later",
"type": "rix_api_error"
}
}调整与导出
多格式导出
导出 mp3、m4a 或 wav。
POST
/
suno
/
v2
/
download
多格式导出
curl --request POST \
--url https://api.ephone.ai/suno/v2/download \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"formats": [
"mp3",
"wav"
],
"music_id": "曲目 ID"
}
'import requests
url = "https://api.ephone.ai/suno/v2/download"
payload = {
"formats": ["mp3", "wav"],
"music_id": "曲目 ID"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({formats: ['mp3', 'wav'], music_id: '曲目 ID'})
};
fetch('https://api.ephone.ai/suno/v2/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ephone.ai/suno/v2/download"
payload := strings.NewReader("{\n \"formats\": [\n \"mp3\",\n \"wav\"\n ],\n \"music_id\": \"曲目 ID\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": "success",
"message": "success",
"data": {
"task_id": "5adac6ee-..."
}
}{
"code": "error",
"message": "music_id is required"
}{
"error": {
"message": "Invalid Token",
"type": "rix_api_error"
}
}{
"error": {
"message": "Too many requests, please try again later",
"type": "rix_api_error"
}
}也可以用统一任务接口
POST /v1/task/submit 提交:model 填 suno/download,参数放进 input。两种写法效果与计费完全一样。任务结果
任务成功后,查询结果里产物的格式
任务结果
任务成功后,查询结果里产物的格式
任务成功后,结果放在
data.result 里:{
"code": "success",
"data": {
"task_id": "5adac6ee-...",
"action": "download",
"model": "suno/download",
"status": "SUCCESS",
"progress": "100%",
"result": {
"music_id": "89b20862-...",
"files": [
{
"format": "mp3",
"file_url": "https://..."
},
{
"format": "wav",
"file_url": "https://..."
}
]
}
}
}
result.files 里是每种格式的下载地址,format 是格式,file_url 是地址。授权
在请求头 Authorization: Bearer YOUR_API_KEY 里带上 API Key。
请求体
application/json
此页面对您有帮助吗?